{% extends 'dashboard/dashboard_content.html' %}


{% block head_block %}

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}


{% block rightPane %}

    <div class="x_title">
        <h2>
            {% if inbox %}
                <i class="glyphicon glyphicon-inbox"></i>
                Inbox
            {% elif recyclebin %}
                <i class="glyphicon glyphicon-trash"></i>
                Recycle Bin
            {% else %}
                <i class="glyphicon glyphicon-send"></i>
                Sent Box
            {% endif %}
        </h2>
    </div>
    <form method="POST">{% csrf_token %}
        <div class="x_content">
            <div class="row">
                <ul class="nav navbar-left panel_toolbox">
                    <li>
                        {% if recipt_list_staff or recipt_list_student %}
                            <button id="compose" class="btn btn-sm btn-success btn-block" type="button"
                                    data-toggle="modal" data-target="#myModal">
                                COMPOSE
                            </button>
                        {% endif %}
                    </li>
                </ul>
                <ul class="nav navbar-right panel_toolbox">
                    <li>
                        <input type="submit" class="save btn btn-sm btn-danger" name="delete" value="Delete"/>
                    </li>
                    <li>
                        {% if recyclebin %}
                            <input type="submit" class="save btn btn-sm btn-success" name="restore"
                                   value="Restore"/>
                        {% endif %}
                    </li>
                </ul>

                <form method="POST">{% csrf_token %}
                    <div class="modal" id="myModal" tabindex="-1" role="dialog"
                         aria-labelledby="myModalLabel1" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                    <h4 class="modal-title" id="myModalLabel1">Compose</h4>
                                </div>
                                <div class="modal-body">
                                    TO:
                                    <select title="Choose a recipient" name="selected_recipient" class="selectpicker"
                                            multiple data-width="550px" multiple data-selected-text-format="count > 3"
                                            data-live-search="true">
                                        <optgroup label="Staffs">
                                            {% for each in recipt_list_staff %}
                                                <option value="{{ each.mail }}" data-subtext="{{ each.dept }}">
                                                    {{ each.name }}
                                                </option>
                                            {% endfor %}
                                        </optgroup>
                                        <optgroup label="Students">
                                            {% for each in recipt_list_student %}
                                                <option value="{{ each.mail }}" data-subtext="{{ each.dept }}">
                                                    {{ each.name }}
                                                </option>
                                            {% endfor %}
                                        </optgroup>
                                    </select>
                                    <br>
                                    Subject:
                                    <input type="text" class="form-control" name="subject" placeholder="Subject"
                                           maxlength="100" style="width: 570px; height: 40px; border: ridge">
                                    <br><br>
                                    <textarea name="body" maxlength="2000" placeholder="Write your content"
                                              style="width: 570px; height: 200px"></textarea>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                    </button>
                                    <input type="submit" class="save btn btn-lg btn-success" name="send_mail"
                                           value="Send"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="x_content">
                <br><br><br>
                {% if inbox %}
                    {% for each in inbox_list %}
                        <div class="row">
                            <div class="col-sm-1">
                                <input type="checkbox" name="inbox_delete" value="{{ each.id }}"/>
                            </div>
                            <div class="col-sm-11">
                                <div class="mail_list">
                                    <div class="right">
                                        <h3><u>{{ each.name }} ( {{ each.sender }} )
                                            <small>{{ each.date }}</small>
                                        </u>
                                        </h3>
                                        <p><strong> {{ each.subject }} </strong></p>
                                        <p>{{ each.body }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% elif sentbox %}
                    {% for each in sentbox_list %}
                        <div class="row">
                            <div class="col-sm-1">
                                <input type="checkbox" name="sentbox_delete" value="{{ each.id }}"/>
                            </div>
                            <div class="col-sm-11">
                                <div class="mail_list">
                                    <div class="right">
                                        <h3><u>{{ each.name }} ( {{ each.recipient }} )
                                            <small>{{ each.date }}</small>
                                        </u>
                                        </h3>
                                        <p><strong> {{ each.subject }} </strong></p>
                                        <p>{{ each.body }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% elif recyclebin %}
                    <div class="x_content">
                        <ul class="nav nav-tabs bar_tabs">
                            <li class="active"><a aria-expanded="false" href="#recyclebin_inbox" data-toggle="tab">
                                Inbox </a>
                            </li>
                            <li class=""><a aria-expanded="false" href="#recyclebin_sentbox" data-toggle="tab"> Sent
                                Box </a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div role="tabpanel" class="tab-pane fade active in" id="recyclebin_inbox">
                                <div class="x_content">
                                    {% for each in recyclebin_inbox_list %}
                                        <div class="row">
                                            <div class="col-sm-1">
                                                <input type="checkbox" name="recyclebin_inbox_mail"
                                                       value="{{ each.id }}"/>
                                            </div>
                                            <div class="col-sm-11">
                                                <div class="mail_list">
                                                    <div class="right">
                                                        <h3><u>{{ each.name }} ( {{ each.sender }} )
                                                            <small>{{ each.date }}</small>
                                                        </u>
                                                        </h3>
                                                        <p><strong> {{ each.subject }} </strong></p>
                                                        <p>{{ each.body }}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    {% endfor %}
                                </div>
                            </div>
                            <div role="tabpanel" class="tab-pane fade" id="recyclebin_sentbox">
                                <div class="x_content">
                                    {% for each in recyclebin_sentbox_list %}
                                        <div class="row">
                                            <div class="col-sm-1">
                                                <input type="checkbox" name="recyclebin_sentbox_mail"
                                                       value="{{ each.id }}"/>
                                            </div>
                                            <div class="col-sm-11">
                                                <div class="mail_list">
                                                    <div class="right">
                                                        <h3><u>{{ each.name }} ( {{ each.recipient }} )
                                                            <small>{{ each.date }}</small>
                                                        </u>
                                                        </h3>
                                                        <p><strong> {{ each.subject }} </strong></p>
                                                        <p>{{ each.body }}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    {% endfor %}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>
        </div>
    </form>

{% endblock %}